# Uses of Class
com.logicaldoc.core.security.apikey.ApiKey

Packages that use ApiKey
Package
Description
com.logicaldoc.core.security.apikey
APIKey is another way to authenticate when using an API like Webservices

## Uses of ApiKey in com.logicaldoc.core.security.apikey

Methods in com.logicaldoc.core.security.apikey that return ApiKey
Modifier and Type
Method
Description
`ApiKey`
ApiKeyDAO.`findByKey(String key)`
Finds the ApiKey by the unique key
`ApiKey`
HibernateApiKeyDAO.`findByKey(String key)`
`ApiKey`
ApiKeyDAO.`findByName(String name, long userId)`
Finds the user's ApiKey with a given name
`ApiKey`
HibernateApiKeyDAO.`findByName(String name, long userId)`
Methods in com.logicaldoc.core.security.apikey that return types with arguments of type ApiKey
Modifier and Type
Method
Description
`List<ApiKey>`
ApiKeyDAO.`findByUser(long userId)`
Finds the user's ApiKeys for a given user
`List<ApiKey>`
HibernateApiKeyDAO.`findByUser(long userId)`
Methods in com.logicaldoc.core.security.apikey with parameters of type ApiKey
Modifier and Type
Method
Description
`void`
HibernateApiKeyDAO.`store(ApiKey apiKey)`